NumberValue (Groovy 2.4.14)
Date: 2018-02-24

groovy.json.internal

## Class NumberValue

- java.lang.Object
- - java.lang.Number
  - - groovy.json.internal.NumberValue

- All Implemented Interfaces:
    Value, java.io.Serializable

      public class NumberValue
      extends java.lang.Number
      implements Value

  Author:
    Rick Hightower
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberValue()`
    `NumberValue(boolean chop, Type type, int startIndex, int endIndex, char[] buffer)`
    `NumberValue(Type type)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `bigDecimalValue()`
    `java.math.BigInteger` | `bigIntegerValue()`
    `boolean` | `booleanValue()`
    `byte` | `byteValue()`
    `char` | `charValue()`
    `void` | `chop()`
    `java.util.Date` | `dateValue()`
    `double` | `doubleValue()`
    `boolean` | `equals(java.lang.Object o)`
    `float` | `floatValue()`
    `int` | `hashCode()`
    `int` | `intValue()`
    `boolean` | `isContainer()`
    `long` | `longValue()`
    `short` | `shortValue()`
    `java.lang.String` | `stringValue()`
    `java.lang.String` | `stringValueEncoded()`
    `<T extends java.lang.Enum> T` | `toEnum(java.lang.Class<T> cls)`
    `static <T extends java.lang.Enum> T` | `toEnum(java.lang.Class<T> cls, int value)`
    `java.lang.String` | `toString()`
    `java.lang.Object` | `toValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberValue

          public NumberValue(Type type)

    - #### NumberValue

          public NumberValue()

    - #### NumberValue

          public NumberValue(boolean chop,
                             Type type,
                             int startIndex,
                             int endIndex,
                             char[] buffer)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toValue

          public final java.lang.Object toValue()

      Specified by:
        `toValue` in interface `Value`

    - #### toEnum

          public <T extends java.lang.Enum> T toEnum(java.lang.Class<T> cls)

      Specified by:
        `toEnum` in interface `Value`

    - #### toEnum

          public static <T extends java.lang.Enum> T toEnum(java.lang.Class<T> cls,
                                                            int value)

    - #### isContainer

          public boolean isContainer()

      Specified by:
        `isContainer` in interface `Value`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### bigDecimalValue

          public java.math.BigDecimal bigDecimalValue()

      Specified by:
        `bigDecimalValue` in interface `Value`

    - #### bigIntegerValue

          public java.math.BigInteger bigIntegerValue()

      Specified by:
        `bigIntegerValue` in interface `Value`

    - #### stringValue

          public java.lang.String stringValue()

      Specified by:
        `stringValue` in interface `Value`

    - #### stringValueEncoded

          public java.lang.String stringValueEncoded()

      Specified by:
        `stringValueEncoded` in interface `Value`

    - #### dateValue

          public java.util.Date dateValue()

      Specified by:
        `dateValue` in interface `Value`

    - #### intValue

          public int intValue()

      Specified by:
        `intValue` in interface `Value`
      Specified by:
        `intValue` in class `java.lang.Number`

    - #### longValue

          public long longValue()

      Specified by:
        `longValue` in interface `Value`
      Specified by:
        `longValue` in class `java.lang.Number`

    - #### byteValue

          public byte byteValue()

      Specified by:
        `byteValue` in interface `Value`
      Overrides:
        `byteValue` in class `java.lang.Number`

    - #### shortValue

          public short shortValue()

      Specified by:
        `shortValue` in interface `Value`
      Overrides:
        `shortValue` in class `java.lang.Number`

    - #### doubleValue

          public double doubleValue()

      Specified by:
        `doubleValue` in interface `Value`
      Specified by:
        `doubleValue` in class `java.lang.Number`

    - #### booleanValue

          public boolean booleanValue()

      Specified by:
        `booleanValue` in interface `Value`

    - #### floatValue

          public float floatValue()

      Specified by:
        `floatValue` in interface `Value`
      Specified by:
        `floatValue` in class `java.lang.Number`

    - #### chop

          public final void chop()

      Specified by:
        `chop` in interface `Value`

    - #### charValue

          public char charValue()

      Specified by:
        `charValue` in interface `Value`